# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-08-03 14:09
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields


class Migration(migrations.Migration):

    dependencies = [
        ('wagtail_personalisation', '0012_remove_personalisablepagemetadata_is_segmented'),
        ('surveys', '0009_homepage_button_text'),
    ]

    operations = [
        migrations.CreateModel(
            name='PersonalisableSurvey',
            fields=[
                ('molosurveypage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='surveys.MoloSurveyPage')),
                ('segment', models.ForeignKey(blank=True, help_text='Leave it empty to show this surveyto every user.', null=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtail_personalisation.Segment')),
            ],
            options={
                'verbose_name': 'personalisable survey',
            },
            bases=('surveys.molosurveypage',),
        ),
        migrations.CreateModel(
            name='PersonalisableSurveyFormField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('label', models.CharField(help_text='The label of the form field', max_length=255, verbose_name='label')),
                ('field_type', models.CharField(choices=[('singleline', 'Single line text'), ('multiline', 'Multi-line text'), ('email', 'Email'), ('number', 'Number'), ('url', 'URL'), ('checkbox', 'Checkbox'), ('checkboxes', 'Checkboxes'), ('dropdown', 'Drop down'), ('radio', 'Radio buttons'), ('date', 'Date'), ('datetime', 'Date/time')], max_length=16, verbose_name='field type')),
                ('required', models.BooleanField(default=True, verbose_name='required')),
                ('choices', models.CharField(blank=True, help_text='Comma separated list of choices. Only applicable in checkboxes, radio and dropdown.', max_length=512, verbose_name='choices')),
                ('default_value', models.CharField(blank=True, help_text='Default value. Comma separated values supported for checkboxes.', max_length=255, verbose_name='default value')),
                ('help_text', models.CharField(blank=True, max_length=255, verbose_name='help text')),
                ('page', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='personalisable_survey_form_fields', to='surveys.PersonalisableSurvey')),
                ('segment', models.ForeignKey(blank=True, help_text='Leave it empty to show this field to every user.', null=True, on_delete=django.db.models.deletion.PROTECT, to='wagtail_personalisation.Segment')),
            ],
            options={
                'verbose_name': 'personalisable form field',
            },
        ),
    ]
